Subject: bug#18940: 24.4; vc-hg does not disable pager, leading to hangs (at least with tramp)

From: Stefan Monnier <[email-masked]>
Date: Thu, 13 Nov 2014 13:10:06 -0500

> I've committed the patch to the Emacs repository. Closing the bug.

I think it's an OK workaround for now, but we should implement a more
reliable solution.

I think "the right way" is for Tramp to propagate some env-vars in its
implementation of process-file (and start-file-process).  Of course,
it's not completely clear which envvars to propagate, but maybe we could
simply compare the current process-environment from
"global/initial" (either using default-toplevel-value or stashing the
initial value somewhere).

        Stefan